# classes/phing/types/selectors/BaseExtendSelector.php

## \BaseExtendSelector
jump to top

Convenience base class for all selectors accessed through ExtendSelector.

It provides support for gathering the parameters together as well as for assigning an error message and throwing a build exception if an error is detected.

Extends from
  \BaseSelector
Implements
  \ExtendFileSelector
author
  Hans Lellelid, hans@xmpl.org (Phing)
author
  Bruce Atherton, bruce@callenish.com (Ant)
package
  phing.types.selectors
version
  $Revision: 526 $

### Properties

`$parameters= 'null'`

The passed in parameter array.

Default value `null` Details

Type

### Methods

`getParameters( ) : \the`
Allows access to the parameters gathered and set within the <custom> tag.
Returns

Type | Description
--- | ---
\the |

`setParameters( \parameters $parameters ) :`
Set all the Parameters for this custom selector, collected by the ExtendSelector class.
Parameters

Name | Type | Description
--- | --- | ---
$parameters | \parameters | the complete set of parameters for this selector

Documentation was generated by DocBlox 0.13.1.